Fedora Linux Support Community & Resources Center
  #1  
Old 18th May 2012, 09:44 AM
NRD80V Offline
Registered User
 
Join Date: Nov 2011
Posts: 27
linuxfirefox
Virtual Box - OSE Not getting installed

Dear All
I have been using VirtualBox-OSE and Fedora 16 for almost for the past 1 year.
I was very happy with Fedora and my virtualisation ability through Virtual Box.

Recently the Linux Kernel got upgraded to 3.3.4.3 and as a result I am not able to use VirtualBox-OSE.
I uninstalled it and tried to reinstall through add/remove software, but I could not install.

Then I tried in the Terminal sudo yum install VirtualBox-OSE
I received the below error message:

sudo yum install google-chrome-stable

[vn@localhost ~]$ su
Password:
[root@localhost vn]# yum install VirtualBox-OSE
Loaded plugins: langpacks, presto, refresh-packagekit
Dropbox | 951 B 00:00
adobe-linux-i386 | 951 B 00:00
adobe-linux-x86_64 | 951 B 00:00
google | 951 B 00:00
google-chrome | 951 B 00:00
google-talkplugin | 951 B 00:00
rpmfusion-nonfree-updates | 3.3 kB 00:00
updates/metalink | 5.2 kB 00:00
updates | 4.5 kB 00:00
virtualbox | 951 B 00:00
Resolving Dependencies
--> Running transaction check
---> Package VirtualBox-OSE.x86_64 0:4.1.2-1.fc16 will be installed
--> Processing Dependency: VirtualBox-OSE-kmod = 4.1.2 for package: VirtualBox-OSE-4.1.2-1.fc16.x86_64
--> Running transaction check
---> Package kmod-VirtualBox-OSE.x86_64 0:4.1.2-1.fc16.4 will be installed
--> Processing Dependency: kmod-VirtualBox-OSE-3.1.0-7.fc16.x86_64 >= 4.1.2-1.fc16.4 for package: kmod-VirtualBox-OSE-4.1.2-1.fc16.4.x86_64
--> Running transaction check
---> Package kmod-VirtualBox-OSE-3.1.0-7.fc16.x86_64.x86_64 0:4.1.2-1.fc16.4 will be installed
--> Processing Dependency: kernel-uname-r = 3.1.0-7.fc16.x86_64 for package: kmod-VirtualBox-OSE-3.1.0-7.fc16.x86_64-4.1.2-1.fc16.4.x86_64
--> Running transaction check
---> Package kernel.x86_64 0:3.1.0-7.fc16 will be installed
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:3.3.2-1.fc16 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ==============================
Package Arch Version Repository Size
================================================== ==============================
Installing:
VirtualBox-OSE x86_64 4.1.2-1.fc16 rpmfusion-free 17 M
Removing:
kernel x86_64 3.3.2-1.fc16 installed 121 M
Installing for dependencies:
kernel x86_64 3.1.0-7.fc16 fedora 24 M
kmod-VirtualBox-OSE x86_64 4.1.2-1.fc16.4 rpmfusion-free 6.5 k
kmod-VirtualBox-OSE-3.1.0-7.fc16.x86_64
x86_64 4.1.2-1.fc16.4 rpmfusion-free 151 k

Transaction Summary
================================================== ==============================
Install 1 Package (+3 Dependent packages)
Remove 1 Package

Total size: 41 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
package kernel-3.3.2-1.fc16.x86_64 (which is newer than kernel-3.1.0-7.fc16.x86_64) is already installed
package kernel-3.3.2-6.fc16.x86_64 (which is newer than kernel-3.1.0-7.fc16.x86_64) is already installed
package kernel-3.3.4-3.fc16.x86_64 (which is newer than kernel-3.1.0-7.fc16.x86_64) is already installed

Error Summary
-------------

[root@localhost vn]#

Could you help me in this, I have some vital files in Windows XP - which I installed through the virtual-box.

I even tried upgrading Fedora 16 to 17 (Beta) however, I am not able to install the Virtual Box.
I get similar error message

Further sharing Host System Folders in Virt-Manager is also very difficult for me unlike Virtual Box and hence I am suffering due to loss of Virtual Box

Yours
VN
nrd80v@gmail.com
Reply With Quote
  #2  
Old 18th May 2012, 10:59 AM
mschwendt Offline
Registered User
 
Join Date: Jun 2010
Posts: 312
linuxfirefox
Question Re: Virtual Box - OSE Not getting installed

Could you double-check your configured/enabled repositories and watch out for missing repositories? There are much more recent packages in the RPM Fusion Free Updates for Fedora 16 repository, and that one is not in your list of repos.

As with many other package problems, show the output of a "yum list ..." query for the packages you want to install and, in case of doubt, visit the repository with your favourite web browser to check what package files are offered for download.

Last edited by mschwendt; 18th May 2012 at 11:04 AM.
Reply With Quote
  #3  
Old 18th May 2012, 11:05 AM
NRD80V Offline
Registered User
 
Join Date: Nov 2011
Posts: 27
linuxfirefox
Re: Virtual Box - OSE Not getting installed

Dear Sir
I am not clear about Repository Configuration - I checked that RPM Fusion Free Updates are ticked.

The Fedora 17 Beta gave me the error as below:
[vn@localhost ~]$ su
Password:
[root@localhost vn]# yum install VirtualBox-OSE
Loaded plugins: langpacks, presto, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package VirtualBox-OSE.x86_64 0:4.1.14-3.fc17 will be installed
--> Processing Dependency: VirtualBox-OSE-kmod = 4.1.14 for package: VirtualBox-OSE-4.1.14-3.fc17.x86_64
--> Processing Dependency: libgsoapssl++.so.2()(64bit) for package: VirtualBox-OSE-4.1.14-3.fc17.x86_64
--> Running transaction check
---> Package gsoap.x86_64 0:2.8.3-2.fc16 will be updated
---> Package gsoap.x86_64 0:2.8.7-2.fc17 will be an update
---> Package kmod-VirtualBox-OSE.x86_64 0:4.1.14-2.fc17.2 will be installed
--> Processing Dependency: kmod-VirtualBox-OSE-3.3.4-5.fc17.x86_64 >= 4.1.14-2.fc17.2 for package: kmod-VirtualBox-OSE-4.1.14-2.fc17.2.x86_64
--> Running transaction check
---> Package kmod-VirtualBox-OSE-3.3.4-5.fc17.x86_64.x86_64 0:4.1.14-2.fc17.2 will be installed
--> Processing Dependency: kernel-uname-r = 3.3.4-5.fc17.x86_64 for package: kmod-VirtualBox-OSE-3.3.4-5.fc17.x86_64-4.1.14-2.fc17.2.x86_64
--> Running transaction check
---> Package kernel.x86_64 0:3.3.4-5.fc17 will be installed
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:3.3.2-6.fc16 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ================================================== ==================================================
Package Arch Version Repository Size
================================================== ================================================== ==================================================
Installing:
VirtualBox-OSE x86_64 4.1.14-3.fc17 rpmfusion-free 18 M
Removing:
kernel x86_64 3.3.2-6.fc16 @updates/16 121 M
Installing for dependencies:
kernel x86_64 3.3.4-5.fc17 fedora 25 M
kmod-VirtualBox-OSE x86_64 4.1.14-2.fc17.2 rpmfusion-free 7.9 k
kmod-VirtualBox-OSE-3.3.4-5.fc17.x86_64 x86_64 4.1.14-2.fc17.2 rpmfusion-free 169 k
Updating for dependencies:
gsoap x86_64 2.8.7-2.fc17 fedora 218 k

Transaction Summary
================================================== ================================================== ==================================================
Install 1 Package (+3 Dependent packages)
Upgrade ( 1 Dependent package)
Remove 1 Package

Total size: 44 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
package kernel-3.3.5-2.fc16.x86_64 (which is newer than kernel-3.3.4-5.fc17.x86_64) is already installed

Error Summary
-------------

[root@localhost vn]#

Yours
VN
Reply With Quote
  #4  
Old 18th May 2012, 11:10 AM
NRD80V Offline
Registered User
 
Join Date: Nov 2011
Posts: 27
linuxfirefox
Re: Virtual Box - OSE Not getting installed

I used the below command in the Terminal and updated RPM Fusion Free Updates and repositories

su -c 'yum localinstall --nogpgcheck http://download1.rpmfusion.org/free/...hed.noarch.rpm http://download1.rpmfusion.org/nonfr...hed.noarch.rpm'


Then also the error continues, please see the terminal output below:


[root@localhost vn]# su -c 'yum localinstall --nogpgcheck http://download1.rpmfusion.org/free/...hed.noarch.rpm http://download1.rpmfusion.org/nonfr...hed.noarch.rpm'
Loaded plugins: langpacks, presto, refresh-packagekit
rpmfusion-free-release-branched.noarch.rpm | 13 kB 00:00
Examining /var/tmp/yum-root-rW8jSm/rpmfusion-free-release-branched.noarch.rpm: rpmfusion-free-release-17-0.5.noarch
Marking /var/tmp/yum-root-rW8jSm/rpmfusion-free-release-branched.noarch.rpm as an update to rpmfusion-free-release-16-3.noarch
rpmfusion-nonfree-release-branched.noarch.rpm | 13 kB 00:00
Examining /var/tmp/yum-root-rW8jSm/rpmfusion-nonfree-release-branched.noarch.rpm: rpmfusion-nonfree-release-17-0.5.noarch
Marking /var/tmp/yum-root-rW8jSm/rpmfusion-nonfree-release-branched.noarch.rpm as an update to rpmfusion-nonfree-release-16-3.noarch
Resolving Dependencies
--> Running transaction check
---> Package rpmfusion-free-release.noarch 0:16-3 will be updated
---> Package rpmfusion-free-release.noarch 0:17-0.5 will be an update
---> Package rpmfusion-nonfree-release.noarch 0:16-3 will be updated
---> Package rpmfusion-nonfree-release.noarch 0:17-0.5 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ================================================== ==================================================
Package Arch Version Repository Size
================================================== ================================================== ==================================================
Updating:
rpmfusion-free-release noarch 17-0.5 /rpmfusion-free-release-branched.noarch 8.2 k
rpmfusion-nonfree-release noarch 17-0.5 /rpmfusion-nonfree-release-branched.noarch 8.4 k

Transaction Summary
================================================== ================================================== ==================================================
Upgrade 2 Packages

Total size: 17 k
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Updating : rpmfusion-free-release-17-0.5.noarch 1/4
Updating : rpmfusion-nonfree-release-17-0.5.noarch 2/4
Cleanup : rpmfusion-nonfree-release-16-3.noarch 3/4
Cleanup : rpmfusion-free-release-16-3.noarch 4/4
Verifying : rpmfusion-nonfree-release-17-0.5.noarch 1/4
Verifying : rpmfusion-free-release-17-0.5.noarch 2/4
Verifying : rpmfusion-nonfree-release-16-3.noarch 3/4
Verifying : rpmfusion-free-release-16-3.noarch 4/4

Updated:
rpmfusion-free-release.noarch 0:17-0.5 rpmfusion-nonfree-release.noarch 0:17-0.5

Complete!
[root@localhost vn]# yum install VirtualBox-OSE
Loaded plugins: langpacks, presto, refresh-packagekit
rpmfusion-free-updates-testing | 3.3 kB 00:00
rpmfusion-free-updates-testing/primary_db | 12 kB 00:02
rpmfusion-free-updates-testing/group_gz | 1.6 kB 00:00
rpmfusion-nonfree-updates-testing | 3.3 kB 00:01
rpmfusion-nonfree-updates-testing/primary_db | 3.7 kB 00:01
rpmfusion-nonfree-updates-testing/group_gz | 1.0 kB 00:00
Resolving Dependencies
--> Running transaction check
---> Package VirtualBox-OSE.x86_64 0:4.1.14-3.fc17 will be installed
--> Processing Dependency: VirtualBox-OSE-kmod = 4.1.14 for package: VirtualBox-OSE-4.1.14-3.fc17.x86_64
--> Processing Dependency: libgsoapssl++.so.2()(64bit) for package: VirtualBox-OSE-4.1.14-3.fc17.x86_64
--> Running transaction check
---> Package gsoap.x86_64 0:2.8.3-2.fc16 will be updated
---> Package gsoap.x86_64 0:2.8.7-2.fc17 will be an update
---> Package kmod-VirtualBox-OSE.x86_64 0:4.1.14-2.fc17.2 will be installed
--> Processing Dependency: kmod-VirtualBox-OSE-3.3.4-5.fc17.x86_64 >= 4.1.14-2.fc17.2 for package: kmod-VirtualBox-OSE-4.1.14-2.fc17.2.x86_64
--> Running transaction check
---> Package kmod-VirtualBox-OSE-3.3.4-5.fc17.x86_64.x86_64 0:4.1.14-2.fc17.2 will be installed
--> Processing Dependency: kernel-uname-r = 3.3.4-5.fc17.x86_64 for package: kmod-VirtualBox-OSE-3.3.4-5.fc17.x86_64-4.1.14-2.fc17.2.x86_64
--> Running transaction check
---> Package kernel.x86_64 0:3.3.4-5.fc17 will be installed
--> Finished Dependency Resolution
--> Running transaction check
---> Package kernel.x86_64 0:3.3.2-6.fc16 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================== ================================================== ==================================================
Package Arch Version Repository Size
================================================== ================================================== ==================================================
Installing:
VirtualBox-OSE x86_64 4.1.14-3.fc17 rpmfusion-free 18 M
Removing:
kernel x86_64 3.3.2-6.fc16 @updates/16 121 M
Installing for dependencies:
kernel x86_64 3.3.4-5.fc17 fedora 25 M
kmod-VirtualBox-OSE x86_64 4.1.14-2.fc17.2 rpmfusion-free 7.9 k
kmod-VirtualBox-OSE-3.3.4-5.fc17.x86_64 x86_64 4.1.14-2.fc17.2 rpmfusion-free 169 k
Updating for dependencies:
gsoap x86_64 2.8.7-2.fc17 fedora 218 k

Transaction Summary
================================================== ================================================== ==================================================
Install 1 Package (+3 Dependent packages)
Upgrade ( 1 Dependent package)
Remove 1 Package

Total size: 44 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
package kernel-3.3.5-2.fc16.x86_64 (which is newer than kernel-3.3.4-5.fc17.x86_64) is already installed

Error Summary
-------------

[root@localhost vn]#
Reply With Quote
  #5  
Old 18th May 2012, 11:11 AM
Yellowman
Guest
 
Posts: n/a
linuxfirefox
Re: Virtual Box - OSE Not getting installed

Try

Code:
su
yum install akmod-VirtualBox-OSE
Reply With Quote
  #6  
Old 18th May 2012, 09:48 PM
mschwendt Offline
Registered User
 
Join Date: Jun 2010
Posts: 312
linuxfirefox
Re: Virtual Box - OSE Not getting installed

Quote:
Originally Posted by NRD80V View Post
Dear Sir
I am not clear about Repository Configuration - I checked that RPM Fusion Free Updates are ticked.
Then run a few "yum list ..." queries for the packages you are interested in and show the results here. In your initial post, you referred to old packages, such as "VirtualBox-OSE x86_64 4.1.2-1.fc16 rpmfusion-free 17 M" when in fact the updates repo contains newer ones, such as VirtualBox-OSE-4.1.14-4.fc16.x86_64.rpm (verified via http://download1.rpmfusion.org/free/...tes/16/x86_64/ ). A typical way to examine package installation problems is to list what packages are "seen" by Yum.

Quote:
The Fedora 17 Beta gave me the error as below:
You're on your own now when you mess around with the repos like that.

It would have been possible to examine your installation and your problem in small steps, but you choose to make it much more complicated. Have fun.
Reply With Quote
  #7  
Old 22nd May 2012, 07:34 PM
lesatwfg Offline
Registered User
 
Join Date: Jul 2008
Posts: 8
linuxchrome
Re: Virtual Box - OSE Not getting installed

I'm having the same sort of greif
I found VirtualBox-OSE and tried to install
I got "Package VirtualBox-OSE-4.1.14-4.fc16.x86_64 is obsoleted by VirtualBox-4.1.14-6.fc16.x86_64 which is already installed
Nothing to do"
On Fedora 16 with all the updates.

Anyone got an idea?
Reply With Quote
  #8  
Old 22nd May 2012, 08:44 PM
sillav Offline
Registered User
 
Join Date: Apr 2011
Posts: 133
linuxfirefox
Re: Virtual Box - OSE Not getting installed

I've always just used dangermouse's fedora plus script to get it installed and kept up to to date. It usually requires running /etc/init.d/vboxdrv setup after every kernel update. But that's about it.
Reply With Quote
  #9  
Old 22nd May 2012, 08:56 PM
marko Offline
Registered User
 
Join Date: Jun 2004
Location: Laurel, MD USA
Posts: 6,067
linuxfirefox
Re: Virtual Box - OSE Not getting installed

Quote:
Originally Posted by lesatwfg View Post
I'm having the same sort of greif
I found VirtualBox-OSE and tried to install
I got "Package VirtualBox-OSE-4.1.14-4.fc16.x86_64 is obsoleted by VirtualBox-4.1.14-6.fc16.x86_64 which is already installed
Nothing to do"
On Fedora 16 with all the updates.

Anyone got an idea?
Yeah, apparently you already have the non-open VirtualBox 4.1.14-6 installed, so if you've decided to go to the OSE for some reason, you'll need to remove the VirtualBox-4.1.14-6.fc16.x86_64 so you can install VirtualBox-OSE.

The OSE and non-OSE VirtualBox's conflict with each other
Reply With Quote
Reply

Tags
box, installed, ose, virtual

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Can not be installed on virtual PC with fedora 12 LIVECD hyper9966 Installation, Upgrades and Live Media 0 17th January 2010 12:26 PM
Virtual disk images (virtual box - virtual machine manager) beaker_ Using Fedora 0 2nd July 2009 01:19 PM
have anyone installed any guest os by using virtual manager on fc7? yhyicst Using Fedora 4 28th June 2007 02:44 AM
problem creating a new virtual system with Virtual Machine Manager in Fedora 7 reboot Using Fedora 3 3rd June 2007 01:51 AM
Is there a person who has installed FC5 as a guest of MS Virtual server 2005 R2? Babel2 EOL (End Of Life) Versions 5 24th April 2006 04:51 PM


Current GMT-time: 18:40 (Friday, 31-10-2014)

TopSubscribe to XML RSS for all Threads in all ForumsFedoraForumDotOrg Archive
logo

All trademarks, and forum posts in this site are property of their respective owner(s).
FedoraForum.org is privately owned and is not directly sponsored by the Fedora Project or Red Hat, Inc.

Privacy Policy | Term of Use | Posting Guidelines | Archive | Contact Us | Founding Members

Powered by vBulletin® Copyright ©2000 - 2012, vBulletin Solutions, Inc.

FedoraForum is Powered by RedHat
Castilleja de la Cuesta Travel Photos - Ezhva Photos on Instagram - Novozybkov Travel Photos